Package org.apache.sling.jcr.webdav.impl.helper

# Class SlingResourceConfig

java.lang.Object
org.apache.jackrabbit.webdav.simple.ResourceConfig
org.apache.sling.jcr.webdav.impl.helper.SlingResourceConfig

public class SlingResourceConfig extends org.apache.jackrabbit.webdav.simple.ResourceConfig

## Constructor Summary

Constructors
Constructor
Description
`SlingResourceConfig(org.apache.sling.commons.mime.MimeTypeService mimeTypeService, SlingWebDavServlet.Config config, org.apache.jackrabbit.server.io.IOManager ioManager, org.apache.jackrabbit.server.io.PropertyManager propertyManager, org.apache.jackrabbit.server.io.CopyMoveManager copyMoveManager, org.apache.jackrabbit.server.io.DeleteManager deleteManager)`

## Method Summary

Modifier and Type
Method
Description
`org.apache.jackrabbit.server.io.CopyMoveManager`
`getCopyMoveManager()`
`org.apache.jackrabbit.server.io.DeleteManager`
`getDeleteManager()`
`org.apache.jackrabbit.server.io.IOManager`
`getIOManager()`
`org.apache.jackrabbit.webdav.simple.ItemFilter`
`getItemFilter()`
`org.apache.jackrabbit.server.io.PropertyManager`
`getPropertyManager()`
`String`
`getServletContextPath()`
`Dictionary<String,String>`
`getServletInitParams()`
`boolean`
`isCollectionResource(javax.jcr.Item item)`
`void`
`parse(URL configURL)`

### Methods inherited from class org.apache.jackrabbit.webdav.simple.ResourceConfig

`getDetector, parse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingResourceConfig

public SlingResourceConfig(org.apache.sling.commons.mime.MimeTypeService mimeTypeService, SlingWebDavServlet.Config config, org.apache.jackrabbit.server.io.IOManager ioManager, org.apache.jackrabbit.server.io.PropertyManager propertyManager, org.apache.jackrabbit.server.io.CopyMoveManager copyMoveManager, org.apache.jackrabbit.server.io.DeleteManager deleteManager)

## Method Details

### getIOManager

public org.apache.jackrabbit.server.io.IOManager getIOManager()

Overrides:
  `getIOManager` in class `org.apache.jackrabbit.webdav.simple.ResourceConfig`

### getItemFilter

public org.apache.jackrabbit.webdav.simple.ItemFilter getItemFilter()

Overrides:
  `getItemFilter` in class `org.apache.jackrabbit.webdav.simple.ResourceConfig`

### getPropertyManager

public org.apache.jackrabbit.server.io.PropertyManager getPropertyManager()

Overrides:
  `getPropertyManager` in class `org.apache.jackrabbit.webdav.simple.ResourceConfig`

### getCopyMoveManager

public org.apache.jackrabbit.server.io.CopyMoveManager getCopyMoveManager()

Overrides:
  `getCopyMoveManager` in class `org.apache.jackrabbit.webdav.simple.ResourceConfig`

### getDeleteManager

public org.apache.jackrabbit.server.io.DeleteManager getDeleteManager()

Overrides:
  `getDeleteManager` in class `org.apache.jackrabbit.webdav.simple.ResourceConfig`

### isCollectionResource

public boolean isCollectionResource(javax.jcr.Item item)

Overrides:
  `isCollectionResource` in class `org.apache.jackrabbit.webdav.simple.ResourceConfig`

### parse

public void parse(URL configURL)

Overrides:
  `parse` in class `org.apache.jackrabbit.webdav.simple.ResourceConfig`

### getServletContextPath

public String getServletContextPath()

### getServletInitParams

public Dictionary<String,String> getServletInitParams()